#!/usr/bin/env node

'use strict'

const _ = require('ninjs-lodash')
const email = require('../lib/email')
const TEMP = _.path.join(_.$('paths.root'), 'temp')

exports = module.exports = {
  "help": {
    "options": { },
    "handler": (options) => { _.log(`\nTODO: print Help Info for all Commands\n`) },
    "text": "Gets help info for all commands"
  },
  "settings": {
    "options": { "key": "" },
    "handler": (options) => {
      let key = _.get(options, "key") || ""
      let val = key ? _.get(settings, key) : settings
      if(val) _.jslog(val)
    },
    "text": `Gets global settings (_.$())\n\nOR\n\nGets a specific global setting designated by --key=<key> (_.$(key))`
  }
}

_.cli(exports)

// Prevents the program from stopping instantly
// process.stdin.resume();